# Create a Gateway Integration Create a Gateway Integration that connects a Merchant to a third-party payment gateway. At this time, the only supported gateway is Cybersource. If subscribed, a Gateway Integration - Created webhook is sent when the integration is created with a Gateway Integration ›state of PENDING. When the state changes to SUCCEEDED or FAILED, a Gateway Integration - Updated webhook is sent. Endpoint: POST /gateway_integrations Version: 2022-02-01 Security: BasicAuth ## Header parameters: - `Finix-Version` (string) Specify the API version of your request. For more details, see Versioning. Example: "2022-02-01" - `Content-Type` (string) The data type being sent in the request body must be application/json. Example: "application/json" ## Request fields (application/json): - `email` (string) The email address to receive the Cybersource dashboard invitation, which lets you retrieve your Cybersource transacting credentials. If this field is not provided, the invitation will be sent to the email address associated with the merchant's email address defined in [Identity](/api/identities) › entity.email field. Example: "michael@finix.com" - `type` (string, required) The type of Gateway Integration to create. At this time, the only supported value is CYBERSOURCE. Enum: "CYBERSOURCE" - `tags` (object,null) Include up to 50 key: value pairs to annotate requests with custom metadata. - Maximum character length for individual keys is 40. - Maximum character length for individual values is 500. (For example, order_number: 25, item_type: produce, department: sales) ## Response 201 fields (application/json): - `id` (string) The ID of the resource. - `created_at` (string) Timestamp of when the object was created. - `updated_at` (string) Timestamp of when the object was last updated. - `application_id` (string) ID of the Application the resource was created under. - `linked_to` (string) The ID of the Merchant to which the Gateway Integration is linked. Example: "MUeg77opgdgQpwejzC9wCNm" - `linked_type` (string) The type of resource to which the Gateway Integration is linked. Enum: "MERCHANT" - `email` (string) The email address to receive the Cybersource dashboard invitation, which lets you retrieve your Cybersource transacting credentials. If this field was not provided, the invitation will be sent to the email address associated with the merchant's email address defined in [Identity](/api/identities) › entity.email field. Example: "michael@finix.com" - `state` (string) The state of the Gateway Integration. The possible values are: - PENDING: The Gateway Integration is being processed. - SUCCEEDED: The Gateway Integration was successful. - FAILED: The Gateway Integration failed. Enum: "FAILED", "PENDING", "SUCCEEDED" - `tags` (object,null) Include up to 50 key: value pairs to annotate requests with custom metadata. - Maximum character length for individual keys is 40. - Maximum character length for individual values is 500. (For example, order_number: 25, item_type: produce, department: sales) - `_links` (object) - `_links.self` (object) Link to the resource that was used in the request. - `_links.self.href` (string) ## Response 400 fields (application/json): - `total` (integer, required) Total number of errors returned. - `_embedded` (object, required) Container for embedded error objects. - `_embedded.errors` (array) List of individual error objects. - `_embedded.errors.code` (string) The error code. The UNKNOWN error code is returned for a 401 Unauthorized or 403 Forbidden request. - `_embedded.errors.logref` (string) A log reference identifier for the error, useful for debugging and support purposes. - `_embedded.errors.message` (string) A human-friendly error message. - `_embedded.errors._links` (object) Links related to this error. - `_embedded.errors._links.self` (object) Link to the resource related to the error. - `_embedded.errors._links.self.href` (string) URL of the related resource. ## Response 401 fields (application/json): - `total` (integer, required) Total number of errors returned. - `_embedded` (object, required) Container for embedded error objects. - `_embedded.errors` (array) List of individual error objects. - `_embedded.errors.code` (string) The error code. The UNKNOWN error code is returned for a 401 Unauthorized or 403 Forbidden request. - `_embedded.errors.logref` (string) A log reference identifier for the error, useful for debugging and support purposes. - `_embedded.errors.message` (string) A human-friendly error message. - `_embedded.errors._links` (object) Links related to this error. - `_embedded.errors._links.self` (object) Link to the resource related to the error. - `_embedded.errors._links.self.href` (string) URL of the related resource. ## Response 403 fields (application/json): - `total` (integer, required) Total number of errors returned. - `_embedded` (object, required) Container for embedded error objects. - `_embedded.errors` (array) List of individual error objects. - `_embedded.errors.code` (string) The error code. The UNKNOWN error code is returned for a 401 Unauthorized or 403 Forbidden request. - `_embedded.errors.logref` (string) A log reference identifier for the error, useful for debugging and support purposes. - `_embedded.errors.message` (string) A human-friendly error message. - `_embedded.errors._links` (object) Links related to this error. - `_embedded.errors._links.self` (object) Link to the resource related to the error. - `_embedded.errors._links.self.href` (string) URL of the related resource. ## Response 406 fields (application/json): - `total` (integer, required) Total number of errors returned. - `_embedded` (object, required) Container for embedded error objects. - `_embedded.errors` (array) List of individual error objects. - `_embedded.errors.code` (string) The error code. The UNKNOWN error code is returned for a 401 Unauthorized or 403 Forbidden request. - `_embedded.errors.logref` (string) A log reference identifier for the error, useful for debugging and support purposes. - `_embedded.errors.message` (string) A human-friendly error message. - `_embedded.errors._links` (object) Links related to this error. - `_embedded.errors._links.self` (object) Link to the resource related to the error. - `_embedded.errors._links.self.href` (string) URL of the related resource.